[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SizeChanged

Performs actions needed when the number of columns or rows has been changed.

## Declaration

Source position: grids.pas line 1199

`protected procedure TCustomGrid.SizeChanged(`
`OldColCount: Integer;`
`OldRowCount: Integer`
`); virtual;`

## Arguments

`OldColCount` |  | Previous number of columns.
`OldRowCount` |  | Previous number of rows.

## Description

SizeChanged has an empty implementation in TCustomGrid. It is overridden in TCustomDrawGrid to perform a notification when the column and/or row count has been changed for the control.